/*++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Name : SortPolygonsByNumSeg
Type : long
Written on   : 14-Oct-91     By : A. Etemadi
Modified on  :               By : 
Directory    : ~atae/ORT/ORT/IPEG/src

==============================================================================

Input parameters    : 

Output parameters   : 

Output result       : 

  TRUE 		-- Values used by Liste library for sorting
  FALSE

Calling procedure:

#include "Liste.h"
#include "LPEG.h"
#include "ListeMacros.h"

Liste ORTTripletListID;

	SortList ( ORTTripletListID ,SortPolygonsByNumSeg);

Functionality: 
 After creating a list of ORT junctions using the Liste library we use this
 dummy routine to sort the junctions in the list in ascending order of ID.

----------------------------------------------------------------------------*/

#include "ListeMacros.h"
#include "Liste.h"
#include "FEX.h"
#include "LPEG.h"
#include "IPEG.h"

long  SortPolygonsByNumSeg (a, b)

  long *a, *b;	/* Dummy variables */

{
  struct ORTClosedPolygon *element1;
  struct ORTClosedPolygon *element2;

/*
 First we must cast the dummy variables into ORTJunction structures

*/
  	element1 = MACCast(ORTClosedPolygon, *a);
  	element2 = MACCast(ORTClosedPolygon, *b);
/*
 Now introduce the sorting criterion

*/

  if (element2->NumSeg  <  element1->NumSeg) {
	return(TRUE);
  } else {
  	return(FALSE);
  }
}
